Summary:	User-space access to Linux kernel SCTP
Summary(pl.UTF-8):	Dostęp do linuksowego SCTP z przestrzeni użytkownika
Name:		lksctp-tools
Version:	1.0.17
Release:	1
License:	LGPL v2.1+ (library), GPL v2+ (programs)
Group:		Applications
Source0:	http://downloads.sourceforge.net/lksctp/%{name}-%{version}.tar.gz
# Source0-md5:	68e9b8fa4d4e331029b247b72d46d7a5
URL:		http://lksctp.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
Requires:	libsctp = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package is for Linux Kernel SCTP Reference Implementation. It
includes command-line utilities.

%description -l pl.UTF-8
Ten pakiet jest przeznaczony dla linuksowej implementacji SCTP.
Zawiera narzędzia działające z linii poleceń.

%package -n libsctp
Summary:	User-space library to access Linux kernel SCTP implementation
Summary(pl.UTF-8):	Biblioteka pozwalająca na dostęp do linuksowej implementacji SCTP
License:	LGPL v2.1+
Group:		Libraries

%description -n libsctp
User-space library to access Linux kernel SCTP implementation.

%description -n libsctp -l pl.UTF-8
Biblioteka pozwalająca na dostęp do linuksowej implementacji SCTP.

%package -n libsctp-devel
Summary:	Header files for libsctp library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libsctp
Group:		Development/Libraries
License:	LGPL v2.1+
Requires:	libsctp = %{version}-%{release}

%description -n libsctp-devel
Header files for libsctp library.

%description -n libsctp-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libsctp.

%package -n libsctp-static
Summary:	Static libsctp library
Summary(pl.UTF-8):	Statyczna biblioteka libsctp
Group:		Development/Libraries
License:	LGPL v2.1+
Requires:	libsctp-devel = %{version}-%{release}

%description -n libsctp-static
Static libsctp library.

%description -n libsctp-static -l pl.UTF-8
Statyczna biblioteka libsctp.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# loadable modules
%{__rm} $RPM_BUILD_ROOT%{_libdir}/%{name}/*.{la,a}
# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libsctp.la

# withsctp sources???
%{__rm} $RPM_BUILD_ROOT%{_datadir}/%{name}/*.[ch]
rmdir $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n libsctp -p /sbin/ldconfig
%postun	-n libsctp -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/checksctp
%attr(755,root,root) %{_bindir}/sctp_darn
%attr(755,root,root) %{_bindir}/sctp_status
%attr(755,root,root) %{_bindir}/sctp_test
%attr(755,root,root) %{_bindir}/withsctp
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/libwithsctp.so*

%files -n libsctp
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README doc/draft-*.txt
%attr(755,root,root) %{_libdir}/libsctp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsctp.so.1

%files -n libsctp-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsctp.so
%{_includedir}/netinet/sctp.h
%{_pkgconfigdir}/libsctp.pc
%{_mandir}/man3/sctp_*.3*
%{_mandir}/man7/sctp.7*

%files -n libsctp-static
%defattr(644,root,root,755)
%{_libdir}/libsctp.a
%changelog
* Thu Apr 06 2017 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/lksctp-tools.git;a=log;h=master

* Sun May 22 2016 Jakub Bogusz <qboosh@pld-linux.org> 4f1dd88
- updated to 1.0.17
- pkgconfig file introduced, drop .la

* Mon Jun 29 2015 Jakub Bogusz <qboosh@pld-linux.org> 0058740
- updated to 1.0.16

* Tue Mar 03 2015 Elan Ruusamäe <glen@delfi.ee> a82eb53
- x32 rebuild
- release 3 (by relup.sh)

* Tue Nov 23 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1930748
- release 2

* Sat Nov 13 2010 Jakub Bogusz <qboosh@pld-linux.org> 3751f46
- updated to 1.0.11
- removed obsolete link patch

* Wed Aug 27 2008 Jakub Bogusz <qboosh@pld-linux.org> 7ded5c3
- updated to 1.0.9

* Sat Jul 19 2008 Jakub Bogusz <qboosh@pld-linux.org> a1d11df
- updated to 1.0.8

* Sun Aug 12 2007 Jakub Bogusz <qboosh@pld-linux.org> e94d30d
- updated to 1.0.7
- added link patch

* Sun Aug 12 2007 Jakub Bogusz <qboosh@pld-linux.org> d49a3e4
- fix build with -as-needed

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> f9650d1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9b5e96a
- converted to UTF-8

* Fri Oct 20 2006 Jakub Bogusz <qboosh@pld-linux.org> 725140f
- new

